Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.hadoop.util
Class TupleComparator

    java.lang.Object
      org.apache.hadoop.conf.Configured
          cascading.tuple.hadoop.util.DeserializerComparator<Tuple>
              cascading.tuple.hadoop.util.TupleComparator

All Implemented Interfaces:
  Comparator<Tuple>, Configurable, RawComparator<Tuple>

Direct Known Subclasses:
  ReverseTupleComparator

    public class TupleComparator

extends DeserializerComparator<Tuple>
implements Configurable

Constructor Summary
`TupleComparator()`

Method Summary
`int` | `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
`int` | `compare(Tuple lhs, Tuple rhs)`

Methods inherited from class cascading.tuple.hadoop.util.DeserializerComparator
`getFieldComparatorsFrom, setConf`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### TupleComparator

    public TupleComparator()

Method Detail

### compare

    public int compare(byte[] b1,
                       int s1,
                       int l1,
                       byte[] b2,
                       int s2,
                       int l2)

  Specified by:
    `compare` in interface `RawComparator<Tuple>`

### compare

    public int compare(Tuple lhs,
                       Tuple rhs)

  Specified by:
    `compare` in interface `Comparator<Tuple>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.